<? $title = "Wiki Linking"; ?>


  <div class='desc'>
 <p>Links can be made to Segue content using wiki notation (e.g. [[title]]).
 For example, if you have a page on your Segue site with the title "Introduction"
 you can create a link to this page by enclosing its title in double square 
 brackets (e.g. [[Introduction]]).</p>

 <p>Wiki links can be made to <strong>content blocks</strong> (with titles),  <strong>
 pages</strong>, <strong>sections</strong> and even <strong>discussion posts</strong> (when
 the content block they are appended to has a title...).  Wiki
 links are not case-sensitive so [[overview]] will link to either a page whose
 title is "overview" or whose title is "Overview"</p>

 <p>Look for a link to the <strong>site map</strong> when adding content to your site.  The site
 map will list all the titles used in your site.
 </p>  
 </div>
 
 
<h3>Supported Wiki Link Notation:</h3>
  <div class='desc'>

  Segue supports many of the same wiki linking notation standards used by Wikipedia.
  These wiki links should NOT be created with the Segue editor link tool.  Instead
  just include them in text and they will be converted to actual links when viewed.
  
  <p><strong>[[introduction]]</strong><br />
  This will link to any content whose title = "introduction" or "Introduction"</p>
  <p><strong>[[Introduction | Overview]]</strong><br />
  This will link to any content whose title = "Introduction" or "introduction".
  The " | " indicates that the title of this link (i.e. the text displayed) 
  will be "Overview".
  <p><strong>[[site:ipod]]</strong><br />
  This will link to a site in the same instance of Segue whose short name is "ipod." 
  [[site:ipod news]] will link to the first content found on that site whose title
  is "news" (or "News").  [[site:ipod news | Latest News]] will display "Latest News"
  as the link title.
  </p>
  <p><strong>[http://segue.middlebury.edu | Segue Project Page]</strong><br />
  This will link to the site at "http://segue.middlebury.edu" and display "Segue Project Page"
  as the title.
  </p>
  
  <p><strong>[[Wiki Markup#35047|What is Wiki Markup by Alex Chapin]]</strong><br />
  This will link to a discussion post with id 35047 that is part of the content block 
  whose title is "Wiki Markup" and will display "What is Wiki Markup by Alex Chapin"
  as the link title.  Any content block with titles that have discussion
  posts will have a link icon near its title that will reveal the wiki notation 
  needed to link to it.
  </p>

<h3>"Create Node" Wiki Links</h3>
  <div class='desc'>
   <p>If there is no content on your site that has a title which matches what is
  specified in the wiki link, then a special "create node" link will be created.
  A "create node" link looks like any other link except that it is followed 
  by a question mark (e.g. Introduction ?).  When a participant who has been given 
  permission to add to the site clicks on this link, they will be given the 
  opportunity to add a new page, section or content block (depending on the extent
  of their editing permissions).</p>
   <p>These types of links are great for collaborative site creation, as well as
   "bottom up" organization.  Simple start adding content to your site and use
   wiki links to content that you or others will add later.
   </p> 
  

  </div>
  

  </div>
